> For the complete documentation index, see [llms.txt](https://docs.number.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.number.tech/api-reference/soap-api/recurring-schedule/process-scheduled-payments.md).

# Process Scheduled Payments

Methods related to processing recurring schedules

## Process Scheduled Payments

<mark style="color:green;">`POST`</mark> /ICardProcess/ProcessScheduledPayments

Process the scheduled payments that are due as part of a subscription plan/recurring consent. Return approved and declined transactions. All of the due payments that are associated with the specified merchant are processed.

{% tabs %}
{% tab title="Request body" %}

***

{% endtab %}

{% tab title="Response body" %}

***

`NumProcessed` int

The total number of processed payments.

***

`NumApproved` int

The number of approved payments.

***

`NumDeclined` int

The number of declined payments.

***

`NumPartialAuths` int

The number of payments that got partial authorization.

***

`ApprovedPayments` List\<api\_RecurringPayment> (array\<object>)

Fields: ConsentID, MerchID, SchedNum, SchedID, TxID, TxApproved, IsPartialApproval, TxnCode, PaymentAmt, PaymentNum, AcctNo, SEQ, CardHolder, CardType, PaymentDate, ConsentType, ErrMsg.

***

`DeclinedPayments` List\<api\_RecurringPayment> (array\<object>)

Fields: ConsentID, MerchID, SchedNum, SchedID, TxID, TxApproved, IsPartialApproval, TxnCode, PaymentAmt, PaymentNum, AcctNo, SEQ, CardHolder, CardType, PaymentDate, ConsentType, ErrMsg.
{% endtab %}
{% endtabs %}

## Process Scheduled Payments - Selective

<mark style="color:green;">`POST`</mark> /ICardProcess/ProcessScheduledPaymentsSelective

Process the scheduled payments that are due as part of a subscription plan/recurring consent. Return approved and declined transactions. Only the payments specified by ScheduleID are processed.

{% tabs %}
{% tab title="Request body" %}

***

`SchedIDs` array\<int>

IDs of the schedules to process.
{% endtab %}

{% tab title="Response body" %}

***

`NumProcessed` int

The total number of processed payments.

***

`NumApproved` int

The number of approved payments.

***

`NumDeclined` int

The number of declined payments.

***

`NumPartialAuths` int

The number of payments that got partial authorization.

***

`ApprovedPayments` List\<api\_RecurringPayment> (array\<object>)

Fields: ConsentID, MerchID, SchedNum, SchedID, TxID, TxApproved, IsPartialApproval, TxnCode, PaymentAmt, PaymentNum, AcctNo, SEQ, CardHolder, CardType, PaymentDate, ConsentType, ErrMsg.

***

`DeclinedPayments` List\<api\_RecurringPayment> (array\<object>)

Fields: ConsentID, MerchID, SchedNum, SchedID, TxID, TxApproved, IsPartialApproval, TxnCode, PaymentAmt, PaymentNum, AcctNo, SEQ, CardHolder, CardType, PaymentDate, ConsentType, ErrMsg.
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.number.tech/api-reference/soap-api/recurring-schedule/process-scheduled-payments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
